### Enumeration

# Gtk SorterOrder

#### Declaration

    enum Gtk.SorterOrder

#### Description [src]

Describes the type of order that a `GtkSorter` may produce.

#### Members

Name | Description
--- | ---
`GTK_SORTER_ORDER_PARTIAL` | A partial order. Any `GtkOrdering` is possible.
`GTK_SORTER_ORDER_NONE` | No order, all elements are considered equal. gtk_sorter_compare() will only return `GTK_ORDERING_EQUAL`.
`GTK_SORTER_ORDER_TOTAL` | A total order. gtk_sorter_compare() will only return `GTK_ORDERING_EQUAL` if an item is compared with itself. Two different items will never cause this value to be returned.